#include <string.h>
#include "defines.h"

int MonthSel(x,y,year,month,day,ys,ye,mode,getchs)
/* 年月選択 */
/* return : 0=[RET] , -1=ESC */
int x,y,*year,*month,*day,ys,ye,mode,(*getchs)();
{
unchar xy[31*2],title[96],*tl;
int ret,len,i;
	tl="日月火水木金土";
	for (ret=i=0;i<7;i++) {
		title[ret++]=' ';
		if (!(mode&BIT2)&&!(mode&BIT3)) title[ret++]=' ';
		title[ret++]=*tl++;
		title[ret++]=*tl++;
		if (!(mode&BIT2)&& (mode&BIT3)) title[ret++]=' ';
	}
	title[ret]=0;
	len=strlen(title);
	do {
		/* 年月表示 */
		B_LOCATE(x+(len-10)/2+1,y);
		BPrintNum(*year ,10,' ',4); B_PRINT("年");
		BPrintNum(*month,10,' ',2); B_PRINT("月");
		
		/* 曜日表示 */
		B_LOCATE(x,y+1);
		B_PRINT(title);
		
		/* カレンダースクリーンクリア */
		for (ret=0;ret<6;ret++) {
			B_LOCATE(x,y+3+ret);
			for (i=0;i<len;i++) B_PUTC(' ');
		}
		
		/* １月表示＆セレクト */
		calen1(x,y+3,*year,*month,mode,xy);
		ret=DaySel(year,month,day,ys,ye,xy,mode,getchs);
	} while (ret>0);
	return(ret);
}
